#!/bin/bash

if [ "$#" -ne 3 ]; then
  echo "Usage: ./test_app.sh <username> <password> <image_path>"
  exit 1
fi

USERNAME="$1"
PASSWORD="$2"
IMAGE_PATH="$3"

# Signup and login the user to get the session cookie
# ./signup_user.sh "${USERNAME}" "${PASSWORD}"
# ./login_user.sh "${USERNAME}" "${PASSWORD}"

  # -b cookies.txt \
curl -X POST \
  -H "Content-Type: multipart/form-data" \
  -F "image=@${IMAGE_PATH}" \
  -F "text=Sample Text" \
  -F "blocks=Block 1" \
  -F "blocks=Block 2" \
  http://localhost:5000/api
